/** \file .h
 *  \brief This module
 */

#if !defined(__RPI_PATTERN_H__)
#define __RPI_PATTERN_H__

/***************************************************************************************************
 * Includes
 **************************************************************************************************/

#include <stdint.h>

/***************************************************************************************************
 * Preprocessor Constants and Macros
 **************************************************************************************************/

/***************************************************************************************************
 * Type and Contant Definitions
 **************************************************************************************************/

/***************************************************************************************************
 * Global Variables
 **************************************************************************************************/

/***************************************************************************************************
 * External Function Prototypes
 **************************************************************************************************/

/**
 * \brief
 *
 * \param[in] spectrumArray array of value from spectral analysis
 *
 * \param[in] spectrumLength length of spectrum array
 */
void bounce_led_and_color(uint16_t *spectrumArray, unsigned int spectrumLength);

/**
 * \brief
 *
 * \param[in] spectrumArray array of value from spectral analysis
 *
 * \param[in] spectrumLength length of spectrum array
 */
void bounce_led(uint16_t *spectrumArray, unsigned int spectrumLength);

/**
 * \brief
 *
 * \param[in] spectrumArray array of value from spectral analysis
 *
 * \param[in] spectrumLength length of spectrum array
 */
void bounce_led_and_travel(uint16_t *spectrumArray, unsigned int spectrumLength);

#endif /* __RPI_PATTERN_H__ */